summaryrefslogtreecommitdiffstats
path: root/tools
diff options
context:
space:
mode:
authorP. J. McDermott <pj@pehjota.net>2015-10-27 02:13:46 (EDT)
committer P. J. McDermott <pj@pehjota.net>2015-10-27 02:13:46 (EDT)
commitc53804cda9081b40f410e28772e2234644e2f630 (patch)
treecdb351224733fb283d8d7461efbd7acc8b06be9e /tools
parent6b30723012ff09d16c9ceb8b6535383eb595e41e (diff)
downloadfirman.sh-c53804cda9081b40f410e28772e2234644e2f630.zip
firman.sh-c53804cda9081b40f410e28772e2234644e2f630.tar.gz
firman.sh-c53804cda9081b40f410e28772e2234644e2f630.tar.bz2
tools/shmin.sh: Remove temporary output file
Diffstat (limited to 'tools')
-rwxr-xr-xtools/shmin.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/tools/shmin.sh b/tools/shmin.sh
index 02684b6..2e402fa 100755
--- a/tools/shmin.sh
+++ b/tools/shmin.sh
@@ -190,6 +190,9 @@ minify()
if ! cat "${output}~" >"${output}"; then
die 'Cannot rename file to "%s"' "${output}"
fi
+ if ! rm "${output}~"; then
+ die 'Cannot remove file "%s"' "${output}~"
+ fi
}
usage()